(function () {
    'use strict';

    var handleDOMContentLoaded = function DOMContentLoadedEventHandler() {
        var TextField = MDComponents.TextField;
        var signInForm = document.querySelector('.saas-signin');
        var usernameInput = new TextField('saas-username');
        var passwordInput = new TextField('saas-password');
        var usernameError = '';
        var passwordError = '';
        var validateUserName = function userNameValidator() {
            if (usernameInput.value === '') {
                usernameError = 'Enter your Username';
                usernameInput.setError(usernameError);
            } else {
                usernameError = '';
                usernameInput.setHelperText('');
                usernameInput.clearError();
            }
        };

        var validatePassword = function passwordValidator() {
            if (passwordInput.value === '') {
                passwordError = 'Enter the password';
                passwordInput.setError(passwordError);
            } else {
                passwordError = '';
                passwordInput.setHelperText('');
                passwordInput.clearError();
            }
        };

        usernameInput.addEventListener('blur', function userNameBlurHandler(event) {
            validateUserName();
        });

        usernameInput.addEventListener('input', function userNameChangeHandler(event) {
            if (usernameError !== '') {
                validateUserName();
            }
        });

        passwordInput.addEventListener('blur', function passwordBlurHandler(event) {
            validatePassword();
        });

        passwordInput.addEventListener('input', function passwordChangeHandler(event) {
            if (passwordError !== '') {
                validatePassword();
            }
        });

        signInForm.addEventListener('submit', function submitHandler(event) {
            validateUserName();
            validatePassword();
            if (usernameError !== '' || passwordError !== '') {
                event.preventDefault();
            }
        });

        usernameInput.textFieldInputNode.focus();
    };

    document.addEventListener('DOMContentLoaded', handleDOMContentLoaded, false);
}())
